Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Protected Attributes
Lucene::TestPoint Class Reference

Used for unit testing as a substitute for stack trace. More...

`#include <TestPoint.h>`

## Public Member Functions

virtual | ~TestPoint ()

## Static Public Member Functions

static void | enableTestPoints ()
static void | clear ()
static void | setTestPoint (const String &object, const String &method, bool point)
static bool | getTestPoint (const String &object, const String &method)
static bool | getTestPoint (const String &method)

## Static Protected Attributes

static MapStringInt | testMethods
static bool | enable

## Detailed Description

Used for unit testing as a substitute for stack trace.

## Constructor & Destructor Documentation

## ◆ ~TestPoint()

virtual Lucene::TestPoint::~TestPoint | ( |  | ) |

virtual

## Member Function Documentation

## ◆ clear()

void Lucene::TestPoint::clear | ( |  | ) |

static

## ◆ enableTestPoints()

void Lucene::TestPoint::enableTestPoints | ( |  | ) |

static

## ◆ getTestPoint() [1/2]

bool Lucene::TestPoint::getTestPoint | ( | const String & | method | ) |

static

## ◆ getTestPoint() [2/2]

bool Lucene::TestPoint::getTestPoint | ( | const String & | object,
|  | const String & | method )

static

## ◆ setTestPoint()

void Lucene::TestPoint::setTestPoint | ( | const String & | object,
|  | const String & | method,
|  | bool | point )

static

## Field Documentation

## ◆ enable

bool Lucene::TestPoint::enable

static protected

## ◆ testMethods

MapStringInt Lucene::TestPoint::testMethods

static protected

The documentation for this class was generated from the following file:

- TestPoint.h

clucene.sourceforge.net